jQuery(document).ready(function($) {

    /*------------------------------------------------
                DECLARATIONS
    ------------------------------------------------*/
    
        var loader                  = $('#loader');
        var loader_container        = $('#preloader');
        var scroll                  = $(window).scrollTop();  
        var scrollup                = $('.backtotop');
        var primary_menu_toggle     = $('#masthead .menu-toggle');
        var top_menu_toggle         = $('#top-navigation .menu-toggle');
        var dropdown_toggle         = $('button.dropdown-toggle');
        var primary_nav_menu        = $('#masthead .main-navigation');
        var top_nav_menu            = $('#top-navigation .main-navigation');
        var breaking_news_slider    = $('.breaking-news-slider');
        var featured_slider         = $('.featured-slider');
        var filtering               = $('.filtering-posts');
    
    /*------------------------------------------------
                PRELOADER
    ------------------------------------------------*/
    
        loader_container.delay(1000).fadeOut();
        loader.delay(1000).fadeOut("slow");
        
    /*------------------------------------------------
                BACK TO TOP
    ------------------------------------------------*/
    
        $(window).scroll(function() {
            if ($(this).scrollTop() > 1) {
                scrollup.css({bottom:"25px"});
            } 
            else {
                scrollup.css({bottom:"-100px"});
            }
        });
    
        scrollup.click(function() {
            $('html, body').animate({scrollTop: '0px'}, 800);
            return false;
        });
    
    /*------------------------------------------------
                MAIN NAVIGATION
    ------------------------------------------------*/
        $('#top-bar').click(function(){
            $('#top-bar .wrapper').slideToggle();
            $('#top-bar').toggleClass('top-menu-active');
        });
    
        primary_menu_toggle.click(function(){
            primary_nav_menu.slideToggle();
            $(this).toggleClass('active');
            $('.menu-overlay').toggleClass('active');
            $('#masthead .main-navigation').toggleClass('menu-open');
        });
    
        top_menu_toggle.click(function(){
            top_nav_menu.slideToggle();
            $(this).toggleClass('active');
            $('.menu-overlay').toggleClass('active');
            $('#top-navigation .main-navigation').toggleClass('menu-open');
    
            if( $('#masthead .menu-toggle').hasClass('active') ) {
                primary_nav_menu.slideUp();
                $('#masthead .main-navigation').removeClass('menu-open');
                $('#masthead .menu-toggle').removeClass('active');
                $('.menu-overlay').toggleClass('active');
            }
        });
    
        dropdown_toggle.click(function() {
            $(this).toggleClass('active');
           $(this).parent().find('.sub-menu').first().slideToggle();
        });
    
        $('.main-navigation ul li.search-menu a').click(function(e) {
            e.preventDefault();
            $(this).toggleClass('search-active');
            $('.main-navigation #search').fadeToggle();
            $('.main-navigation .search-field').focus();
        });
    
        $(window).scroll(function() {
            if ($(this).scrollTop() > 210) {
                $('#masthead').addClass('nav-shrink');
            } 
            else {
                $('#masthead').removeClass('nav-shrink');
            }
        });
    
        $(document).click(function (e) {
            var container = $("#masthead, #top-navigation");
            if (!container.is(e.target) && container.has(e.target).length === 0) {
                primary_nav_menu.slideUp();
                $(this).removeClass('active');
                $('.menu-overlay').removeClass('active');
                $('#masthead .main-navigation').removeClass('menu-open');
                $('.menu-toggle').removeClass('active');
    
                top_nav_menu.slideUp();
                $(this).removeClass('active');
                $('.menu-overlay').removeClass('active');
                $('#top-navigation .main-navigation').removeClass('menu-open');
            }
        });
    
    /*--------------------------------------------------------------
     Keyboard Navigation
    ----------------------------------------------------------------*/
    
        if( $(window).width() < 1024 ) {
            $('#primary-menu').find("li").last().bind( 'keydown', function(e) {
                if( e.which === 9 ) {
                    e.preventDefault();
                    $('#masthead').find('.menu-toggle').focus();
                }
            });
    
            $('#secondary-menu').find("li").last().bind( 'keydown', function(e) {
                if( e.which === 9 ) {
                    e.preventDefault();
                    $('#top-navigation').find('.menu-toggle').focus();
                }
            });
    
            $('#primary-menu > li:last-child button:not(.active)').bind( 'keydown', function(e) {
                if( e.which === 9 ) {
                    e.preventDefault();
                    $('#masthead').find('.menu-toggle').focus();
                }
            });
    
            $('#secondary-menu > li:last-child button:not(.active)').bind( 'keydown', function(e) {
                if( e.which === 9 ) {
                    e.preventDefault();
                    $('#top-navigation').find('.menu-toggle').focus();
                }
            });
    
            $('#search').find("button").unbind('keydown');
    
        }
        else {
            $('#primary-menu').find("li").unbind('keydown');
    
            $('#secondary-menu').find("li").unbind('keydown');
    
            $('#search').find("button").bind( 'keydown', function(e) {
                var tabKey              = e.keyCode === 9;
                var shiftKey            = e.shiftKey;
    
                if( tabKey ) {
                    e.preventDefault();
                    $('#search').hide();
                    $('.search-menu > a').removeClass('search-active').focus();
                }
    
                if( shiftKey && tabKey ) {
                    e.preventDefault();
                    $('#search').show();
                    $('.main-navigation .search-field').focus();
                    $('.search-menu > a').addClass('search-active');
                }
            });
    
            $('.search-menu > a').on('keydown', function (e) {
                var tabKey              = e.keyCode === 9;
                var shiftKey            = e.shiftKey;
                
                if( $('.search-menu > a').hasClass('search-active') ) {
                    if ( shiftKey && tabKey ) {
                        e.preventDefault();
                        $('#search').hide();
                        $('.search-menu > a').removeClass('search-active').focus();
                    }
                }
            });
        }
    
        primary_menu_toggle.on('keydown', function (e) {
            var tabKey    = e.keyCode === 9;
            var shiftKey  = e.shiftKey;
    
            if( primary_menu_toggle.hasClass('active') ) {
                if ( shiftKey && tabKey ) {
                    e.preventDefault();
                    primary_nav_menu.slideUp();
                    $('.main-navigation').removeClass('menu-open');
                    $('.menu-overlay').removeClass('active');
                    primary_menu_toggle.removeClass('active');
                };
            }
        });
    
        top_menu_toggle.on('keydown', function (e) {
            var tabKey    = e.keyCode === 9;
            var shiftKey  = e.shiftKey;
    
            if( top_menu_toggle.hasClass('active') ) {
                if ( shiftKey && tabKey ) {
                    e.preventDefault();
                    top_nav_menu.slideUp();
                    $('.main-navigation').removeClass('menu-open');
                    $('.menu-overlay').removeClass('active');
                    top_menu_toggle.removeClass('active');
                };
            }
        });
    
    
        $(window).resize(function() {
            if( $(window).width() < 1024 ) {
                $('#primary-menu').find("li").last().bind( 'keydown', function(e) {
                    if( e.which === 9 ) {
                        e.preventDefault();
                        $('#masthead').find('.menu-toggle').focus();
                    }
                });
    
                $('#secondary-menu').find("li").last().bind( 'keydown', function(e) {
                    if( e.which === 9 ) {
                        e.preventDefault();
                        $('#top-navigation').find('.menu-toggle').focus();
                    }
                });
    
                $('#primary-menu > li:last-child button:not(.active)').bind( 'keydown', function(e) {
                    if( e.which === 9 ) {
                        e.preventDefault();
                        $('#masthead').find('.menu-toggle').focus();
                    }
                });
    
                $('#secondary-menu > li:last-child button:not(.active)').bind( 'keydown', function(e) {
                    if( e.which === 9 ) {
                        e.preventDefault();
                        $('#top-navigation').find('.menu-toggle').focus();
                    }
                });
    
                $('#search').find("button").unbind('keydown');
            }
            else {
                $('#primary-menu').find("li").unbind('keydown');
                $('#secondary-menu').find("li").unbind('keydown');
    
                $('#search').find("button").bind( 'keydown', function(e) {
                    var tabKey              = e.keyCode === 9;
                    var shiftKey            = e.shiftKey;
    
                    if( tabKey ) {
                        e.preventDefault();
                        $('#search').hide();
                        $('.search-menu > a').removeClass('search-active').focus();
                    }
    
                    if( shiftKey && tabKey ) {
                        e.preventDefault();
                        $('#search').show();
                        $('.main-navigation .search-field').focus();
                        $('.search-menu > a').addClass('search-active');
                    }
                });
    
                $('.search-menu > a').on('keydown', function (e) {
                    var tabKey              = e.keyCode === 9;
                    var shiftKey            = e.shiftKey;
    
                    if( $('.search-menu > a').hasClass('search-active') ) {
                        if ( shiftKey && tabKey ) {
                            e.preventDefault();
                            $('#search').hide();
                            $('.search-menu > a').removeClass('search-active').focus();
                        }
                    }
                });
            }
        });
        primary_menu_toggle.on('keydown', function (e) {
            var tabKey    = e.keyCode === 9;
            var shiftKey  = e.shiftKey;
    
            if( primary_menu_toggle.hasClass('active') ) {
                if ( shiftKey && tabKey ) {
                    e.preventDefault();
                    primary_nav_menu.slideUp();
                    $('.main-navigation').removeClass('menu-open');
                    $('.menu-overlay').removeClass('active');
                    primary_menu_toggle.removeClass('active');
                };
            }
        });
    
        top_menu_toggle.on('keydown', function (e) {
            var tabKey    = e.keyCode === 9;
            var shiftKey  = e.shiftKey;
    
            if( top_menu_toggle.hasClass('active') ) {
                if ( shiftKey && tabKey ) {
                    e.preventDefault();
                    top_nav_menu.slideUp();
                    $('.main-navigation').removeClass('menu-open');
                    $('.menu-overlay').removeClass('active');
                    top_menu_toggle.removeClass('active');
                };
            }
        });
    
    
    /*------------------------------------------------
                Sliders
    ------------------------------------------------*/
    
    $('.hero-banner').slick();
    
    $('.shop-slider').slick();
    
    $('.event-slider').slick();
    
    $('.our-partner-slider').slick({
        responsive: [
            {
                breakpoint: 1200,
                    settings: {
                    slidesToShow: 4,
                    slidesToScroll: 4
                }
            },
            {
                breakpoint: 900,
                    settings: {
                    slidesToShow: 3,
                    slidesToScroll: 3,
                    arrows: false
                }
            },
            {
                breakpoint: 567,
                    settings: {
                    slidesToShow: 1,
                    slidesToScroll: 1,
                    arrows: false
                }
            }
        ]
    });
    
    $('.best-product-slider').slick({
        responsive: [
            {
                breakpoint: 1200,
                    settings: {
                    slidesToShow: 3,
                    slidesToScroll: 3
                }
            },
            {
                breakpoint: 900,
                    settings: {
                    slidesToShow: 2,
                    slidesToScroll: 2,
                    arrows: false
                }
            },
            {
                breakpoint: 567,
                    settings: {
                    slidesToShow: 1,
                    slidesToScroll: 1,
                    arrows: false
                }
            }
        ]
    });
    
    $('.blog-main-slider').slick({
        responsive: [
        {
            breakpoint: 1024,
            settings: {
                slidesToShow: 2,
                slidesToScroll: 1
            }
        },
        {
            breakpoint: 767,
            settings: {
                slidesToShow: 1,
                slidesToScroll: 1
            }
        }
        ]
    });
    
    
    /*------------------------------------------------
                PRODUCTS FILTERING
    ------------------------------------------------*/
    
    if($('ul.product-nav li a').attr('data-tab')=='all'){
        $('#whole_product_filter .product-wrapper').prepend('<div id="all" class="tab-content active clear"><ul class="all products col-4 container"></ul></div>');
        $('#whole_product_filter li.product-item').clone().slice(0,8).each(function(key, value){
            $('#whole_product_filter .all').append(value);
        })
    }
    
    $('ul.product-nav li a').click(function(event) {
        event.preventDefault();
    
        var tab_id = $(this).attr('data-tab');
    
        $('ul.product-nav li').removeClass('active');
        $('ul.product-nav li a').removeClass('active');
        $(this).addClass('active');
    
        $('.tab-content').removeClass('active');
        $('.tab-content').hide();
    
        $("#"+tab_id).show();
    
    });

    });
    