<?php
	/**
	 * The header for our theme.
	 *
	 * This is the template that displays all of the <head> section and everything up until <div id="content">
	 *
	 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
	 *
	 * @package Theme Palace
	 * @subpackage  Whole
	 * @since  Whole 1.0.0
	 */

	/**
	 * whole_doctype hook
	 *
	 * @hooked whole_doctype -  10
	 *
	 */
	do_action( 'whole_doctype' );

?>
<head>
<?php
	/**
	 * whole_before_wp_head hook
	 *
	 * @hooked whole_head -  10
	 *
	 */
	do_action( 'whole_before_wp_head' );

	wp_head(); 
?>
</head>

<body <?php body_class(); ?>>

<?php do_action( 'wp_body_open' ); ?>
<?php
	/**
	 * whole_page_start_action hook
	 *
	 * @hooked whole_page_start -  10
	 *
	 */
	do_action( 'whole_page_start_action' ); 

	/**
	 * whole_loader_action hook
	 *
	 * @hooked whole_loader -  10
	 *
	 */
	do_action( 'whole_before_header' );

	/**
	 * whole_header_action hook
	 *
	 * @hooked whole_site_branding -  10
	 * @hooked whole_header_start -  20
	 * @hooked whole_site_navigation -  30
	 * @hooked whole_header_end -  50
	 *
	 */
	do_action( 'whole_header_action' );

	/**
	 * whole_content_start_action hook
	 *
	 * @hooked whole_content_start -  10
	 *
	 */
	do_action( 'whole_content_start_action' );

    /**
     * whole_header_image_action hook
     *
     * @hooked whole_header_image -  10
     *
     */
    do_action( 'whole_header_image_action' );
	
