<?php
/**
 * Breadcrumb options
 *
 * @package Theme Palace
 * @subpackage  Whole
 * @since  Whole 1.0.0
 */

$wp_customize->add_section( 'whole_breadcrumb',
	array(
		'title'             => esc_html__( 'Breadcrumb','whole' ),
		'description'       => esc_html__( 'Breadcrumb section options.', 'whole' ),
		'panel'             => 'whole_theme_options_panel',
	)
);

// Breadcrumb enable setting and control.
$wp_customize->add_setting( 'whole_theme_options[breadcrumb_enable]',
	array(
		'sanitize_callback' => 'whole_sanitize_switch_control',
		'default'          	=> $options['breadcrumb_enable'],
	)
);

$wp_customize->add_control( new  Whole_Switch_Control( $wp_customize,
	'whole_theme_options[breadcrumb_enable]',
		array(
			'label'            	=> esc_html__( 'Enable Breadcrumb', 'whole' ),
			'section'          	=> 'whole_breadcrumb',
			'on_off_label' 		=> whole_switch_options(),
		)
	)
);

// Breadcrumb separator setting and control.
$wp_customize->add_setting( 'whole_theme_options[breadcrumb_separator]',
	array(
		'sanitize_callback'	=> 'sanitize_text_field',
		'default'          	=> $options['breadcrumb_separator'],
	)
);

$wp_customize->add_control( 'whole_theme_options[breadcrumb_separator]',
	array(
		'label'            	=> esc_html__( 'Separator', 'whole' ),
		'active_callback' 	=> 'whole_is_breadcrumb_enable',
		'section'          	=> 'whole_breadcrumb',
	)
);
