<?php
/**
 * Layout options
 *
 * @package Theme Palace
 * @subpackage  Whole
 * @since  Whole 1.0.0
 */

// Add sidebar section
$wp_customize->add_section( 'whole_layout',
	array(
		'title'               => esc_html__('Layout','whole'),
		'description'         => esc_html__( 'Layout section options.', 'whole' ),
		'panel'               => 'whole_theme_options_panel',
	)
);

// Site layout setting and control.
$wp_customize->add_setting( 'whole_theme_options[site_layout]',
	array(
		'sanitize_callback'   => 'whole_sanitize_select',
		'default'             => $options['site_layout'],
	)
);

$wp_customize->add_control(  new  Whole_Custom_Radio_Image_Control ( $wp_customize,
	'whole_theme_options[site_layout]',
		array(
			'label'               => esc_html__( 'Site Layout', 'whole' ),
			'section'             => 'whole_layout',
			'choices'			  => whole_site_layout(),
		)
	)
);

// Sidebar position setting and control.
$wp_customize->add_setting( 'whole_theme_options[sidebar_position]',
	array(
		'sanitize_callback'   => 'whole_sanitize_select',
		'default'             => $options['sidebar_position'],
	)
);

$wp_customize->add_control(  new  Whole_Custom_Radio_Image_Control ( $wp_customize,
	'whole_theme_options[sidebar_position]',
		array(
			'label'               => esc_html__( 'Global Sidebar Position', 'whole' ),
			'section'             => 'whole_layout',
			'choices'			  => whole_global_sidebar_position(),
		)
	)
);

// Post sidebar position setting and control.
$wp_customize->add_setting( 'whole_theme_options[post_sidebar_position]',
	array(
		'sanitize_callback'   => 'whole_sanitize_select',
		'default'             => $options['post_sidebar_position'],
	)
);

$wp_customize->add_control(  new  Whole_Custom_Radio_Image_Control ( $wp_customize,
	'whole_theme_options[post_sidebar_position]',
		array(
			'label'               => esc_html__( 'Posts Sidebar Position', 'whole' ),
			'section'             => 'whole_layout',
			'choices'			  => whole_sidebar_position(),
		)
	)
);

// Post sidebar position setting and control.
$wp_customize->add_setting( 'whole_theme_options[page_sidebar_position]',
	array(
		'sanitize_callback'   => 'whole_sanitize_select',
		'default'             => $options['page_sidebar_position'],
	)
);

$wp_customize->add_control( new  Whole_Custom_Radio_Image_Control( $wp_customize,
	'whole_theme_options[page_sidebar_position]',
		array(
			'label'               => esc_html__( 'Pages Sidebar Position', 'whole' ),
			'section'             => 'whole_layout',
			'choices'			  => whole_sidebar_position(),
		)
	)
);