<?php
/**
 * Menu options
 *
 * @package Theme Palace
 * @subpackage  Whole
 * @since  Whole 1.0.0
 */

// Add sidebar section
$wp_customize->add_section( 'whole_menu',
	array(
		'title'             => esc_html__('Header Menu','whole'),
		'description'       => esc_html__( 'Header Menu options.', 'whole' ),
		'panel'             => 'nav_menus',
	)
);

// Menu sticky setting and control.
$wp_customize->add_setting( 'whole_theme_options[social_menu]',
	array(
		'sanitize_callback' => 'whole_sanitize_switch_control',
		'default'           => $options['social_menu'],
	)
);

$wp_customize->add_control( new  Whole_Switch_Control( $wp_customize,
	'whole_theme_options[social_menu]',
		array(
			'label'             => esc_html__( 'Enable Social Menu', 'whole' ),
			'section'           => 'whole_menu',
			'on_off_label' 		=> whole_switch_options(),
		)
	)
);

//top_bar_phoneNumber
$wp_customize->add_setting('whole_theme_options[top_bar_phoneNumber]',
    array(
        'sanitize_callback' => 'sanitize_text_field',
        'transport'			=> 'postMessage',
        'default'           => $options['top_bar_phoneNumber'],
    )
);

$wp_customize->add_control('whole_theme_options[top_bar_phoneNumber]',
    array(
        'section'			=> 'whole_menu',
        'label'				=> esc_html__( 'Contact Number:', 'whole' ),
        'type'          	=>'text',
    )
);

// Abort if selective refresh is not available.
if ( isset( $wp_customize->selective_refresh ) ) {
    $wp_customize->selective_refresh->add_partial( 'whole_theme_options[top_bar_phoneNumber]',
		array(
			'selector'            => '#secondary-menu li:nth-child(1) a span',
			'settings'            => 'whole_theme_options[top_bar_phoneNumber]',
			'fallback_refresh'    => true,
			'container_inclusive' => false,
			'render_callback'     => 'whole_top_bar_phoneNumber_partial',
		) 
	);
}

//top_bar_address
$wp_customize->add_setting('whole_theme_options[top_bar_address]',
	array(
		'sanitize_callback' => 'sanitize_text_field',
		'transport'			=> 'postMessage',
		'default'           => $options['top_bar_address'],
	)
);

$wp_customize->add_control('whole_theme_options[top_bar_address]',
    array(
        'section'			=> 'whole_menu',
        'label'				=> esc_html__( 'Address:', 'whole' ),
        'type'          	=> 'text',
    )
);

// Abort if selective refresh is not available.
if ( isset( $wp_customize->selective_refresh ) ) {
    $wp_customize->selective_refresh->add_partial( 'whole_theme_options[top_bar_address]',
		array(
            'selector'            => '#secondary-menu li:nth-child(3) a span',
			'settings'            => 'whole_theme_options[top_bar_address]',
			'fallback_refresh'    => true,
			'container_inclusive' => false,
			'render_callback'     => 'whole_top_bar_address_partial',
        ) 
    );
}

//top_bar_email
$wp_customize->add_setting('whole_theme_options[top_bar_email]',
    array(
        'sanitize_callback' => 'sanitize_text_field',
        'transport'			=> 'postMessage',
        'default'           => $options['top_bar_email'],
    )
);

$wp_customize->add_control('whole_theme_options[top_bar_email]',
    array(
        'section'			=> 'whole_menu',
        'label'				=> esc_html__( 'E-mail:', 'whole' ),
        'type'          	=>'text',
    )
);

// Abort if selective refresh is not available.
if ( isset( $wp_customize->selective_refresh ) ) {
    $wp_customize->selective_refresh->add_partial( 'whole_theme_options[top_bar_email]',
        array(
            'selector'            => '#secondary-menu li:nth-child(2) a span',
            'settings'            => 'whole_theme_options[top_bar_email]',
            'fallback_refresh'    => true,
            'container_inclusive' => false,
            'render_callback'     => 'whole_top_bar_email_partial',
        ) 
    );
}
