<?php
/**
 * Excerpt options
 *
 * @package Theme Palace
 * @subpackage  Whole
 * @since  Whole 1.0.0
 */

// Add excerpt section
$wp_customize->add_section( 'whole_single_post_section',
	array(
		'title'             => esc_html__( 'Single Post','whole' ),
		'description'       => esc_html__( 'Options to change the single posts globally.', 'whole' ),
		'panel'             => 'whole_theme_options_panel',
	)
);

// Archive date meta setting and control.
$wp_customize->add_setting( 'whole_theme_options[single_post_hide_date]',
	array(
		'default'           => $options['single_post_hide_date'],
		'sanitize_callback' => 'whole_sanitize_switch_control',
	)
);

$wp_customize->add_control( new  Whole_Switch_Control( $wp_customize,
	'whole_theme_options[single_post_hide_date]',
		array(
			'label'             => esc_html__( 'Hide Date', 'whole' ),
			'section'           => 'whole_single_post_section',
			'on_off_label' 		=> whole_hide_options(),
		)
	)
);

// Archive tag category setting and control.
$wp_customize->add_setting( 'whole_theme_options[single_post_hide_pagination]',
	array(
		'default'           => $options['single_post_hide_pagination'],
		'sanitize_callback' => 'whole_sanitize_switch_control',
	)
);

$wp_customize->add_control( new  Whole_Switch_Control( $wp_customize,
	'whole_theme_options[single_post_hide_pagination]',
		array(
			'label'             => esc_html__( 'Hide Pagination', 'whole' ),
			'section'           => 'whole_single_post_section',
			'on_off_label' 		=> whole_hide_options(),
		)
	)
);
